# Add

## Add Knowledge base

<mark style="color:green;">`POST`</mark> `https://{{account_uid}}.acquire.io/api/v1/kb/group/add`

This endpoint allows you to add a new article group in the Knowledge Base.

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Bearer {{API\_key}} |

#### Request Body

| Name | Type   | Description         |
| ---- | ------ | ------------------- |
| name | string | Knowledge Base name |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "data": {
    "success": true,
    "message": "Knowledge base created successfully.",
    "data": {
      "id": 4,
      "name": "Custom Group Articles of Acquire's KB",
      "isDefault": "no",
      "slugKey": "kb-custom-group-acquire",
      "createdBy": 28,
      "updatedBy": 28,
      "status": "draft",
      "internalApp": "no",
      "widgetApp": "no",
      "dateCreated": "2021-04-06T09:27:15.000Z",
      "dateUpdated": "2021-04-06T09:30:34.980Z",
      "scrapingToken": null
    }
  }
}
```

{% endtab %}
{% endtabs %}

### Body (row)

```javascript
{
  "name": "Custom Group Articles of Acquire's KB",
  "customDomain": "custom-grp-articles.acquire.io",
  "language": "en"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/knowledgebase/groups/add.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
